.slider {}

.slider-button-wrapper {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

/* slider-button */
.slider-button {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-shrink: 0;
    width: 6rem;
    height: 3.5rem;
    padding: 0;
    border: 0;
    transition: background-color ease 0.24s;
    border-radius: 0.875rem;
}

.slider-button:hover,
.slider-button:focus {
    background-color: var(--color__fill-4-h);
}

.slider-button:active {
    background-color: var(--color__fill-4-a);
}

.slider-button.--prev {}
.slider-button.--next {}

.slider-button.swiper-button-disabled {
    opacity: 1 !important;
    cursor: auto;
    pointer-events: none;
}

.slider-button.swiper-button-disabled:hover,
.slider-button.swiper-button-disabled:focus,
.slider-button.swiper-button-disabled:active {
    background-color: var(--color__fill-4);
}

.slider-button__icon {
    display: inline-block;
    width: 1.5rem;
    height: 1.5rem;
}

.slider-button.--prev .slider-button__icon {
    transform: rotate(180deg);
}

.slider-button.swiper-button-disabled .slider-button__icon {
    opacity: 0.2;
}

/* slider-pagination */
.slider-pagination {
    min-width: 2.75rem;
    font-size: 1.125rem;
    line-height: 1.75rem;
    bottom: unset !important;
    position: relative !important;
    opacity: .6;
}

.slider-show-all {
    height: 3rem;
    margin-left: 0.75rem;
    font-weight: 660 !important;
    padding-left: 2rem;
    padding-right: 2rem;
    border-radius: .5rem;
}

@media screen and (max-width: 991px) {

    .slider-button {
        display: none;
    }
    .type-carousel .swiper-container {
        overflow: visible !important;
    }

    .type-carousel .swiper-container .type-carousel .swiper-container {
        overflow: hidden !important;
    }

    
    .slider-pagination {
        margin-left: 0.5rem;
        margin-right: 0.5rem;
        font-size: 1rem;
        text-align: center;
    }

    .slider-pagination.swiper-pagination-horizontal {
        width: auto;
        text-align: right;
        margin: 0 !important;
    }

    .slider-button-wrapper {
        /* width: 100%; */
    }

    .slider-show-all {
        margin-left: 1.5rem;
        height: 2.5rem;
        padding: 0 1.25rem;
    }
}
